"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

exports.__esModule = true;
exports["default"] = void 0;

var React = _interopRequireWildcard(require("react"));

require("./index.scss");

/**
 * @file 高亮搜索词组件
 * @author linfeng
 */
var HighlightWord = function HighlightWord(_ref) {
  var text = _ref.text,
      keyword = _ref.keyword,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? '' : _ref$className;

  if (!text || !keyword) {
    return /*#__PURE__*/React.createElement("span", {
      className: className
    }, text);
  }

  var reg = new RegExp(keyword.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, '\\$&'), 'gi');
  var matched = text.match(reg);
  var result = text.split(reg).map(function (partial, i) {
    return i > 0 ? [/*#__PURE__*/React.createElement("span", {
      className: "dp-material-highlight",
      key: i
    }, matched[i - 1]), partial] : partial;
  });
  return /*#__PURE__*/React.createElement("span", {
    className: className
  }, result);
};

var _default = HighlightWord;
exports["default"] = _default;